/************************************************
* Columbia University CS Department
* Network Security Lab
*
* Open and Survivable Embedded Systems (OASES)
*
* Structured Policy Command Language (SPCL)
*
*
* This software is provided as is without any
* warranty or guarantee of merchantibility
* or fitness for a particular purpose. This
* software is released under the terms of the
* GNU General Public License (GPL).
*
* Last updated: March 28, 2003
*
***********************************************/

package spcl.data;

/**
 * This class is a place holder for testing.
 *
 * @author locasto@cs.columbia.edu
 *
*/
public class DefaultPolicyInstaller extends PolicyInstaller{

  public DefaultPolicyInstaller(){}

  /**
   * a default do-nothing policy
   *
  */
  public void doInstall() throws PolicyException{
    if( null==policyLoader )
       throw new PolicyException( "No policy loader defined.", PolicyException.NULL_LOADER );

    System.out.println( "<DefaultPolicyInstaller install=\"yes\" />" );
    return;

  }


}
